Package serp.bytecode

# Class RetInstruction

java.lang.Object
serp.bytecode.Instruction
serp.bytecode.TypedInstruction
serp.bytecode.LocalVariableInstruction
serp.bytecode.RetInstruction

All Implemented Interfaces:
  `BCEntity`, `VisitAcceptor`

public class RetInstruction extends LocalVariableInstruction
The `ret` instruction is used in the implementation of finally.

Author:
  Abe White

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptVisit(BCVisitor visit)`
Accept a visit from a `BCVisitor`, calling the appropriate methods to notify the visitor that it has entered this entity, and to provide it with the proper callbacks for each sub-entity owned by this one.
`boolean`
`equalsInstruction(Instruction other)`
Two local variable instructions are equal if the local index they reference is equal or if either index is 0/unset.

### Methods inherited from class serp.bytecode.LocalVariableInstruction

`getLocal, getLocalVariable, getParam, getTypeName, setLocal, setLocalVariable, setParam, setType`

### Methods inherited from class serp.bytecode.TypedInstruction

`getType, getTypeBC, setType, setType`

### Methods inherited from class serp.bytecode.Instruction

`getByteIndex, getClassLoader, getCode, getLineNumber, getLogicalStackChange, getName, getOpcode, getPool, getProject, getStackChange, isValid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### equalsInstruction

public boolean equalsInstruction(Instruction other)
Description copied from class: `LocalVariableInstruction`
Two local variable instructions are equal if the local index they reference is equal or if either index is 0/unset.

Overrides:
  `equalsInstruction` in class `LocalVariableInstruction`

### acceptVisit

public void acceptVisit(BCVisitor visit)
Description copied from interface: `VisitAcceptor`
Accept a visit from a `BCVisitor`, calling the appropriate methods to notify the visitor that it has entered this entity, and to provide it with the proper callbacks for each sub-entity owned by this one.

Specified by:
  `acceptVisit` in interface `VisitAcceptor`
Overrides:
  `acceptVisit` in class `Instruction`